# Generated by Django 2.2.18 on 2021-09-09 00:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shuup', '0093_fix_attr_m2m'),
        ('canvas', '0018_auto_20210922_2013'),
    ]

    operations = [
        migrations.CreateModel(
            name='SyncedContact',
            fields=[
                ('syncedobject_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='canvas.SyncedObject')),
                ('contact', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='synced_contact', to='shuup.PersonContact')),
                ('shop', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='synced_contact_shop', to='shuup.Shop')),
            ],
            options={
                'abstract': False,
            },
            bases=('canvas.syncedobject',),
        ),
    ]
